Name:		switcheroo-control
Version:	2.6
Release:	%mkrel 2
Summary:	D-Bus service to check the availability of dual-GPU
License:	GPL-3.0
Group:		System/Kernel and hardware
URL:		https://gitlab.freedesktop.org/hadess/switcheroo-control
Source0:	https://gitlab.freedesktop.org/hadess/switcheroo-control/-/archive/%{version}/%{name}-%{version}.tar.bz2
# Upstream patches between 2.6 and archiving
Patch0:		https://gitlab.freedesktop.org/hadess/switcheroo-control/-/commit/c483c0994fcf1915ab22de5ea07e281543c4098b.patch
Patch1:		https://gitlab.freedesktop.org/hadess/switcheroo-control/-/commit/e31b3686784f14d93fa7117cd4d0d9c40b65ff8c.patch
Patch2:		https://gitlab.freedesktop.org/hadess/switcheroo-control/-/commit/9ba30e9eeeeee53831f6619bb2dd49aec7c1059b.patch

BuildRequires:	meson
BuildRequires:	gtk-doc
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gudev-1.0)
BuildRequires:	pkgconfig(libsystemd)

Requires(post):		systemd
Requires(preun):	systemd

%description
D-Bus service to check the availability of dual-GPU.

%prep
%autosetup -p1

%build
%meson \
   -Dsystemdsystemunitdir=%{_unitdir} \
   -Dhwdbdir=%{_udevhwdbdir} \
   -Dgtk_doc=true
%meson_build

%install
%meson_install

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%files
%license COPYING
%doc NEWS README.md
%doc %{_datadir}/gtk-doc/html/%{name}/
%{_bindir}/switcherooctl
%{_unitdir}/*.service
%{_udevhwdbdir}/*.hwdb
%{_libexecdir}/switcheroo-control
%{_datadir}/dbus-1/system.d/net.hadess.SwitcherooControl.conf
%{_mandir}/man1/switcherooctl.1*


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 2.6-2.mga10
+ Revision: 2219571
- Mageia 10 Mass Rebuild

* Thu Oct 19 2023 daviddavid <daviddavid> 2.6-1.mga10
+ Revision: 1999473
- initial package switcheroo-control

